Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159571 - Find v4l hardware
Summary: Find v4l hardware
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-04 21:16 UTC by Nickolay V. Shmyrev
Modified: 2015-01-04 22:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-07 01:47:29 UTC


Attachments (Terms of Use)

Description Nickolay V. Shmyrev 2005-06-04 21:16:21 UTC
I am going to submit pci info about hardware supported by video4linux project
(http://bytesex.org/v4l), which are handled by saa7134 and cx8800 drivers. Can
the following lines be added to pcitable file:

0x1131 0x7130  saa7134
0x1131 0x7133  saa7134
0x1131 0x7134  saa7134
0x1131 0x7135  saa7134
0x14f1 0x8800  cx88xx
0x14f1 0x8801  cx88xx
0x14f1 0x8811  cx88xx
0x14f1 0x8802  cx88xx

Comment 1 Bill Nottingham 2005-06-06 05:42:29 UTC
Please get these IDs in the upstream drivers.

Comment 2 Dave Jones 2005-06-06 05:56:22 UTC
these look to be present in the 2.6.12rc kernel, so they'll turn up in FC3 when
we release a 2.6.12 based update.  There's a testing version of the
work-in-progress .12 FC3 packages at http://people.redhat.com/davej/kernels/test

Comment 3 Nickolay V. Shmyrev 2005-06-06 15:50:14 UTC
Yes, corresponding PCI ID's is already included in kernel/pci id's linux data.
The only problem I would like to solve is to allow kudzu find new hardware and
add needed modprobe lines. 

Sorry, of course lines should be 

0x1131 0x7130  "saa7134"
0x1131 0x7133  "saa7134"
0x1131 0x7134  "saa7134"
0x1131 0x7135  "saa7134"
0x14f1 0x8800  "cx88xx"
0x14f1 0x8801  "cx88xx"
0x14f1 0x8811  "cx88xx"
0x14f1 0x8802  "cx88xx"


btw, don't you know how other distributions handle that case, is there some
other hardware scanners that need such kind of change?

Comment 4 Dave Jones 2005-06-06 23:48:24 UTC
Without the updated modules from the newer kernel, modprobe'ing the module will
have no effect, so kudzu having no knowledge of them is a problem that'll be
solved when the update goes out.



Comment 5 Bill Nottingham 2005-06-07 01:47:29 UTC
As long as the modules have the IDs upstream, the right thing should happen with
kudzu. Closing as 'rawhide'; should be fixed in FC4-ish and later for FC3 if we
do a kernel update.


Note You need to log in before you can comment on or make changes to this bug.